package client;



import server.EchoServerIntf;



public class Main {

	public static void main(String[] args) throws Exception {

		String host = "localhost"; // host running the rmiregistry

		String arg = "Hello, Java";

		if (args.length > 0)

			host = args[0];

		String url = "rmi://" + host + "/EchoServer";

		System.out.println("RMI Service url: " + url);



	    EchoServerIntf obj = (EchoServerIntf)java.rmi.Naming.lookup(url);

		System.out.println("RMI Service stub: " + obj);

		System.out.println();

		System.out.println();



	    System.out.println("Calling: stub.echo(" + arg + ")...");

	    String ret = obj.echo(arg);

	    System.out.println("... returned value: " + ret);

	}

}